API SpecificationPRIVATExeonr.auth.private.v1.PasswordService
Logout
Invalidates the session token. User will need to re-enter credentials on next login.
Authentication: None required
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
sessionToken?string
Session token to invalidate
Length
1 <= length[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/Logout" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Get TOTP Status POST
Returns the current TOTP 2FA status including whether it is enabled and remaining recovery codes. **Required scopes:** `auth:account:read`
Password Authorize POST
Validates password authorize request parameters and returns a callback redirect URL containing code/state. **Authentication:** None required